Update a company
curl --request PUT \
--url https://api.spacebring.com/community/companies/v1/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"company": {
"billingAddress": "<string>",
"businessAddress": {
"city": "<string>",
"countryCode": "<string>",
"line1": "<string>",
"line2": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"legalName": "<string>",
"metadata": {},
"notes": "<string>",
"taxId": "<string>",
"title": "<string>"
}
}
'import requests
url = "https://api.spacebring.com/community/companies/v1/{id}"
payload = { "company": {
"billingAddress": "<string>",
"businessAddress": {
"city": "<string>",
"countryCode": "<string>",
"line1": "<string>",
"line2": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"legalName": "<string>",
"metadata": {},
"notes": "<string>",
"taxId": "<string>",
"title": "<string>"
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company: {
billingAddress: '<string>',
businessAddress: {
city: '<string>',
countryCode: '<string>',
line1: '<string>',
line2: '<string>',
postalCode: '<string>',
state: '<string>'
},
legalName: '<string>',
metadata: {},
notes: '<string>',
taxId: '<string>',
title: '<string>'
}
})
};
fetch('https://api.spacebring.com/community/companies/v1/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company": {
"billingAddress": "<string>",
"businessAddress": {
"city": "<string>",
"countryCode": "<string>",
"line1": "<string>",
"line2": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"createDate": "2023-11-07T05:31:56Z",
"credits": {
"expiring": 123,
"permanent": 123
},
"dayPasses": {
"expiring": 123
},
"deleteDate": "2023-11-07T05:31:56Z",
"id": "<string>",
"legalName": "<string>",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"notes": "<string>",
"subscriptionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taxId": "<string>",
"title": "<string>"
}
}{
"message": "<string>",
"type": "<string>"
}Community
Update a company
Update a certain company.
OAuth
Required scopes:communityPUT
/
community
/
companies
/
v1
/
{id}
Update a company
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the company.
Body
application/json
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I